using MovementEffects;
using System.Collections;
using UnityEngine;
using System;
using System.Collections.Generic;

public class OnClickSceneTransition : MonoBehaviour
{
    public string Scene;

    public void Awake()
    {
        Timing.RunCoroutine(AutoShow());
    }

    private IEnumerator<float> AutoShow()
    {
        this.gameObject.SetActive(false);
        yield return Timing.WaitForSeconds(1.5f);
        this.gameObject.SetActive(true);
    }

    public void OnClick()
    {
        UnityEngine.SceneManagement.SceneManager.LoadScene(Scene);
    }
}
